function beta_dot = getBetaDot(t,S,P,delta)
% function getBetaDot_analytical(t,S,P)
% A function to compute the value of beta_dot analytically

%% Get parameters from P and S
x_dot = S(1);
y_dot = S(2);
psi = S(3);
psi_dot = S(4);
w_fl = S(5);
w_fr = S(6);
w_rl = S(7);
w_rr = S(8);
X = S(9);
Y = S(10);

m = P.m;         %Car mass;
I_z = P.I_z;     %yaw moment of inertia
l_f = P.l_f;
l_r = P.l_r;
l_w = P.l_w;
J_w = P.J_w ;    %Rotational moment of inertia of tire
r_eff = P.r_eff;
%%%%%%%delta = P.delta_profile(t);


%% Get tireforces according to current state
tireForces = getTireForces_dugoff(t,S,P,delta);
F_xfl = tireForces.F_xfl;
F_xfr = tireForces.F_xfr;
F_xrl = tireForces.F_xrl;
F_xrr = tireForces.F_xrr;
F_yfl = tireForces.F_yfl;
F_yfr = tireForces.F_yfr;
F_yrl = tireForces.F_yrl;
F_yrr = tireForces.F_yrr;
%% Compute the value of x_ddot and y_ddot
x_ddot = ((F_xfl + F_xfr)*cos(delta) + F_xrl + F_xrr - (F_yfl + F_yfr)*sin(delta) + m*psi_dot*y_dot)/m;
y_ddot = (F_yrl + F_yrr + (F_xfl + F_xfr)*sin(delta) + (F_yfl + F_yfr)*cos(delta) - m*psi_dot*x_dot)/m;

%% Prob. 1.4c
% Compute the value of beta_dot
beta_dot = (x_dot*y_ddot-y_dot*x_ddot)/x_dot^2;

end